package com.galaxis.soap.wms.obj;

import lombok.Data;

@Data
public class DT_KUNNR_IN_01 {

    // 物流中心编码
    private String BWKEY;
    // 公司代码
    private String BUKRS;
    // 商品编码
    private String MATNR;
    // 商品描述
    private String MAKTX;
    // 商品助记码
    private String NORMT;
    // 规格
    private String GROES;
    // 生产单位，要传厂家描述
    private String NAME1;
    // 商品原产地国家，中文描述
    private String LANDX;
    // 商品原产地，中文描述
    private String BEZEI;
    // 基本计量单位
    private String MEINS;
    // 包装单位,包装单位中文描述
    private String ZUNIT_GTAX;
    // 条码，小包装条目（可以为空），传输最新的
    // 取单位为EA或G的条码
    private String EAN11_EA;
    // 大包装单位，中文描述
    // 大包装取单位为"CAR"
    private String MSEHT_CAR;
    // 大包装数量，没有的时候传9999
    private String UMREZ_CAR;
    // 大包装条码，没有的时候传空
    private String EAN11_CAR;
    // 中包装单位，中文描述
    // 中包装取单位为"PCS"
    private String MSEHT_PCS;
    // 中包装数量，SAP传0时，WMS默认为1
    private String UMREZ_PCS;
    // 中包装条码，没有的时候传空
    private String EAN11_PCS;
    // 大包装长度，转换CM
    private String LAENG;
    // 大包装宽度，转换CM
    private String BREIT;
    // 大包装高度，转换CM
    private String HOEHE;
    // 大包装重量，单位kg
    private String BRGEW;
    // 最小开票单位，默认1
    private String ZOUNIT_MIN;
    // GSP类别
    // 键值; 需要ERP提供相关的字典值用于替换掉WMS字典值，
    private String MTART;
    // 是否首营，Y 是/ N 否;没有就默认传N，N为首营，空为非首营
    private String ZNEWS;
    // 是否监管药品，Y 是/ N 否;没有就默认传N
    private String ZSUPCODE;
    // 是否防窜，Y 是/ N 否;没有就默认传N
    private String ZIS_FC;
    // 否特管药品，Y 是/ N 否;没有就默认传N
    private String ZPRESX;
    // 是否进口药品，Y 是/ N 否;没有就默认传N
    private String ZIS_JKYP;
    // 是否易碎，Y 是/ N 否;没有就默认传N
    private String ZIS_YS;
    // 是否贵重药品，Y 是/ N 否;没有就默认传N
    private String ZIS_GZYP;
    // 是否异形品，Y 是/ N 否;没有就默认传N
    private String ZPROCESS;
    // 是否药品，Y 是/ N 否;默认传Y
    private String ZIS_YP;
    // 是否重点养护，Y 是/ N 否;没有就默认传N
    private String ZIS_ZDYH;
    // 采购员，默认为空
    private String EKGRP;
    // 批准文号
    private String CONFD;
    // 状态，默认N
    private String MMSTA;
    // 双人验收标识，Y 是/ N 否;默认传N
    private String ZZSRYS;
    // 冷藏商品，Y 是/ N 否;
    private String ZZISDWPZ;
    // 上市许可持有人，中文描述
    private String NAME1_CYR;
    // 总货架寿命
    private String MHDHB;

    // 存储条件
    private String RAUBE;
    // 剂型
    private String MAGRV;

    // 生产企业许可证号
    private String ZPLI;

    // 通用名
    private String COMMON_NAME;
    // 储藏描述
    private String STORE_DESC;
    // EA码
    private String BARCODE2;
    // 库存地点
    private String LOC_PLACE;

}